/*
 * test 1
 *	exercise the db_rename_field() function
 *
 *	@(#)test_01.c	1.2	10:34:08	2/26/92
 */

#include <sys/types.h>
#include <stdio.h>
#include <fcntl.h>
#include "is_types.h"

main (argc, argv)
int	argc;
char	**argv;
{
	char	buf[BUFSIZ];
	int	filenum;
	long	record;
	dbm_t	*dbm;

	if (argc != 5) {
		fprintf (stderr, "usage: test database file old new\n");
		exit (1);
	}
	if (! (dbm = db_open (argv[1], O_RDWR))) {
		sprintf (buf, "cannot open database `%s'", argv[1]);
		db_error (buf);
		exit (1);
	}
	if ((filenum = db_open_file (dbm, argv[2])) == -1) {
		sprintf (buf, "cannot open file `%s'", argv[2]);
		db_error (buf);
		exit (1);
	}
	if (db_rename_field (dbm, filenum, argv[3], argv[4])) {
		sprintf (buf, "cannot rename field `%s'", argv[3]);
		db_error (buf);
		exit (1);
	}
	exit (0);
}
